package com.kfb.kfbv1.db;

import androidx.room.Dao;
import androidx.room.Delete;
import androidx.room.Insert;
import androidx.room.Query;
import androidx.room.Update;

import java.util.List;
@Dao
public interface PomiarDao {
        @Query("SELECT * FROM pomiar")
        List<Pomiar> getAll();

        @Query("SELECT * FROM pomiar WHERE stamp IN (:stamp)")
        Pomiar loadAllByIds(String stamp);

        @Insert
        void insertAll(Pomiar pomiar);

        @Delete
        void delete(Pomiar pomiar);
        @Update
        void update(Pomiar pomiar);
}
